#![no_std]

#[macro_use]
extern crate alloc;

pub mod buffer;
pub mod color;
pub mod commands;
pub mod display;
pub mod framebuffer;
pub mod types;
pub mod vertex;

pub const VERSION: versioning::Version = versioning::Version {
    major: 0,
    minor: 1,
    patch: 1,
};
