use alloc::vec::Vec;

use crate::{
    color::Color3,
    types::{Float2Array, Float3Array, Position3},
};

pub struct Vertex {
    pub position: Position3,
    pub normal: Float3Array,
    pub color: Color3,

    pub tex_coords: Float2Array,
}

pub struct VertexBuffer {
    pub vertex_buffer: Vec<Vertex>,
}
